package com.palmnest.application.dto;

import java.io.Serializable;
import java.util.List;

public class AppServiceMenuDto implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 5136804283024585640L;
	private Integer id;
	private String serviceName;
	private String parentCode;
	private String serviceDescription; 
	private Integer ordernum;
	private String actionUrl;
	private Integer linkUrlType;
	private String iconUrl;
	private String menuType;
	private String menuCode;
	private List<AppServiceMenuDto> childrenMenus;
	
	public AppServiceMenuDto() {
		
	}
	
	public AppServiceMenuDto(Integer id, String serviceName, String parentCode, String serviceDescription, Integer ordernum,
			String iconUrl) {
		super();
		this.id = id;
		this.serviceName = serviceName;
		this.parentCode = parentCode;
		this.serviceDescription = serviceDescription;
		this.ordernum = ordernum;
		this.iconUrl = iconUrl;
	}


	public AppServiceMenuDto(Integer id, String serviceName, String serviceDescription) {
		super();
		this.id = id;
		this.serviceName = serviceName;
		this.serviceDescription = serviceDescription;
	}


	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getParentCode() {
		return parentCode;
	}
	public void setParentCode(String parentCode) {
		this.parentCode = parentCode;
	}
	public Integer getOrdernum() {
		return ordernum;
	}
	public void setOrdernum(Integer ordernum) {
		this.ordernum = ordernum;
	}
	public String getIconUrl() {
		return iconUrl;
	}
	public void setIconUrl(String iconUrl) {
		this.iconUrl = iconUrl;
	}
	public List<AppServiceMenuDto> getChildrenMenus() {
		return childrenMenus;
	}

	public void setChildrenMenus(List<AppServiceMenuDto> childrenMenus) {
		this.childrenMenus = childrenMenus;
	}
	public String getMenuType() {
		return menuType;
	}
	public void setMenuType(String menuType) {
		this.menuType = menuType;
	}
	public String getMenuCode() {
		return menuCode;
	}

	public void setMenuCode(String menuCode) {
		this.menuCode = menuCode;
	}

	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}

	public String getServiceDescription() {
		return serviceDescription;
	}
	public void setServiceDescription(String serviceDescription) {
		this.serviceDescription = serviceDescription;
	}

	public String getActionUrl() {
		return actionUrl;
	}

	public void setActionUrl(String actionUrl) {
		this.actionUrl = actionUrl;
	}

	public Integer getLinkUrlType() {
		return linkUrlType;
	}

	public void setLinkUrlType(Integer linkUrlType) {
		this.linkUrlType = linkUrlType;
	}
	
}
